package dev.saramago.couchbaseTransactions.api

import dev.saramago.couchbaseTransactions.persistance.command.CreateData
import dev.saramago.couchbaseTransactions.persistance.service.DataService
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.PathVariable
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/data")
class ApiController(
    val dataService: DataService,
) {


    @PostMapping("/{name}")
    fun createData(
        @PathVariable name: String
    ) : ResponseEntity<String> {
        val command = CreateData(name)
        val id = dataService.createData(command)

        return ResponseEntity.ok(id)
    }
}