package dev.saramago.couchbaseTransactions.config

import com.couchbase.client.java.query.QueryScanConsistency
import org.springframework.context.annotation.Configuration
import org.springframework.data.couchbase.config.AbstractCouchbaseConfiguration
import org.springframework.data.couchbase.repository.config.EnableCouchbaseRepositories
import org.springframework.transaction.annotation.EnableTransactionManagement

@Configuration
@EnableCouchbaseRepositories(basePackages = ["dev.saramago.couchbaseTransactions.repository"])
@EnableTransactionManagement
class CouchbaseSetup : AbstractCouchbaseConfiguration() {
    override fun getConnectionString() = "couchbase://localhost:11210"

    override fun getUserName() = "metrics-streamer"

    override fun getPassword() = "metrics-streamer"

    override fun getBucketName() = "test"

    override fun getDefaultConsistency(): QueryScanConsistency {
        return QueryScanConsistency.REQUEST_PLUS
    }

    override fun autoIndexCreation() = true
}