package dev.saramago.couchbaseTransactions.persistance.domain

import org.springframework.data.annotation.Id

class Data(
    id: String,
    name: String,
) : AggregateRoot<DataEvent>() {
    @get:Id
    var id: String = id
        private set

    var name: String = name
        set(newName) {
            if (field == newName) return
            val oldName = field
            field = newName
            registerEvent(DataChanged(id, "name", oldName, newName))
        }

    /**
     * A bit of an ugly hack to enable creation events.
     */
    fun markAsCreated() {
        registerEvent(DataCreated(id))
    }
}