package dev.saramago.couchbaseTransactions.persistance.domain

import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.stereotype.Component
import org.springframework.transaction.event.TransactionalEventListener

@Component
class EventHandler {

    val logger: Logger = LoggerFactory.getLogger(EventHandler::class.java)

    @TransactionalEventListener
    fun handle(event: DataChanged) {
        logger.warn("DataChanged: ${event.propertyName}=${event.newValue} (old: ${event.oldValue})")
    }

    @TransactionalEventListener
    fun handle(event: DataCreated) {
        logger.warn("DataCreated: ${event.id}")
    }
}